Subject: bug#55202: 27.1 Feature request: Show parens when point is anywhere inside of them

From: José Júnior <[email-masked]>
Date: Sun, 1 May 2022 10:19:15 -0300

>
> That variable doc says "If non-nil, show parens when point is just
> inside one.", so when point is right by the paren.

Thanks for the explanation.

Anyway, I think it would make sense to add what you're requesting -- but
> I'm not sure it would be efficient, or that it's well-defined.  For
> instance, if you're in text-mode and the text is
>
>   {(foo|bar})
>
> what should it be blinking?
>

I didn't know how to answer, so I looked how other editors do. I found two
behaviors:

1. Unless the point is right by the parens, it should highlight the curly
braces. So in this case it would highlight the curly braces.

With the point in these places would highlight the parens, otherwise would
highlight the curly braces:

{|(|foobar}|)|

2. Ignore and don't highlight anything.

On Sun, May 1, 2022 at 5:43 AM Lars Ingebrigtsen <[email-masked]> wrote:

> José Júnior <[email-masked]> writes:
>
> > How can I set emacs to show parens when the point is anywhere inside of
> them?
> >
> > For example, with the point in the character "i": (po|int)
> >
> > Coming from other editors, I expect that the parens are highlighted,
> > but in emacs they're only highlighted the point is on paren or
> > immediately after it, even with the variable "Show Paren When Point
> > Inside Paren" set to "on".
>
> That variable doc says "If non-nil, show parens when point is just
> inside one.", so when point is right by the paren.
>
> Anyway, I think it would make sense to add what you're requesting -- but
> I'm not sure it would be efficient, or that it's well-defined.  For
> instance, if you're in text-mode and the text is
>
>   {(foo|bar})
>
> what should it be blinking?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>